# RP2040 based pulse induction metal detector hardware

## ECO R0 -> R1

1. -R5 should be changed to 0R, otherwise crystal did not oscillate. However, the crystal PN with which this problem was observed was most likely not the one specified in the design.-
2. -Mirror Q6 (drain/source swapped)-
3. -U12 (opamp) positive and negative inputs are swapped (swap pins 2<>3 and 5<>6)- fixed by #14
4. -BUZZ net is on the same PWM slice as PICO_PWM_AUDIO: they should be on separate PWM slices as they require different prescalers. Move BUZZ to GPIO20, as that is a PWM slice shared with GPIO4/5 (UART).-
5. -Audio amplifier SHD pin is active high (i.e. pin needs to be low for the amplifier to work). AMP_DISABLE net is not connected to RP2040. Either connect it to RP2040, or pull the R67 to GND-
6. -Audio amplifier output needs a bit more investigation- either the development speaker is (more precisely, was, but that's user error) very quiet, or the gain of 2 is insufficient.-
6. -Suggest replacing audio amplifier with NS4160 which supports class D operation (significantly more efficient). EN pin is required to be connected, as it expects two pulses on EN line to switch to class D mode.-
7. -12V switcher is acting weird- quite often it stopped switching at all and +12V rail was left at VBUS (through inductor). Changing the overcurrent protection limit to ~1A (R58->47K) fixed this.-
8. -Adequate damping is achieved with total damping resistance of ~360 Ohms (R98, R99 -> 650R, trimpot replaced with 500R one and adjusted until total resistance was measured as 360Ohm.-
9. -Trimpot should not be populated by default, recommend to replace it with a NC jumper and let advanced users/developers use an external one.0-
10. Rename net MD_SEL to MD_RESET_FEEDBACK and MD_GAIN to MD_OFFSET
11. -Change +5V feedback resistors so the 5V rail is actually 5V instead of 5.5V (the proposed audio amplifier has 5.5V absolute maximum input voltage).-
12. Suggest powering DVDD (1.1V) from a switch-mode converter instead of built-in linear regulator - add 0R in series to test, as it's risky change.
13. -Suggest powering digital 3.3V rail from a switch-mode converter-
14. Change the frontend to https://gitlab.com/demineua/rx-frontend-hardware r0 (14-bit ADC, two stage amplification)
15. -Change R89 to 1206 resistor-


## ECO R1 -> R2

1. -Add 2 fiducials for pickandplace- 
2. -Verify ferrite bead footprints.-
3. -Change R10 PN to 50mOhm so that charge works at 2A-
4. -Change headphone jack to lcsc C128987, implement headphone detection (weak pulldown on detect pins -> BSS138 gate -> MCU input)-
5. -ESP01 header - wiring-
6. -Battery charge detect on RP2040-

7. -Verify vibration motor 3V source https://ej.uz/hvfk
8. -change button to C2834957
9.  battery change to 2x C5290175 (terrible af, but very cheap), DNP, ordering separately with other parts !!! note the wide TH pin slot!!!
10. -add 4x C2915633 on top side-
11. -remove photo resistor circuitry-
12. vibration motor big solder pads


# R1 bringup

1. Bridge J7, apply battery power to J5. PSU hits limit (0.4A), flash heats up- incorrect orientation
2. After flash was replaced, it still did not program- bad solder joint for SPI_SS pin near MCU
3. 

## R1 first batch rework

1. Rotate flash IC to match pin 1
2. Remove R19 (bypasses battery protector)
3. Add C3
4. Remove R22 (connects amplified signal to RP2040 ADC)
5. Add U12 (ADC)
6. Mount R18 (10k NTC)

## R2 rework
0. R27 -> 100K (allows for more headroom for offset adjustment)
1. Replace Q3 with NPN transistor (BC817 tested, BC846 which is already used on board should also be ok).
2. Replace R25 with 1K
3. Wire R32 to 3.3V (tested wiring to FB5)
4. Add LPF between audio amplifier stages (47nF After R36 to GND)
5. Change RC filter for offset adjustment R26, C29, C35 (R=10k, C= 2x10u)
6. Reduce gain of audio amp  (R68, R9 - > 20k)
7. Addd damping (R99 - 2k7, R98 - 1k2) (830R total)
