K2=0.8; #upper threshold as fraction of VCC
K1=0.45; # lower threshold as fraction of VCC

# thermistor properties
B=3950;
R_T25=10e3; # Ohms

# temperature thresholds (Kelvin)
T_L = 0 + 273.15;
T_H = 45 + 273.15;

T_25 = 25 + 273.15;

R_T_L = R_T25 * e ^ (B * (1/T_L-1/T_25));
R_T_H = R_T25 * e ^ (B * (1/T_H-1/T_25));

printf("Resistance at T_L=%.2f deg C = %.2fOhm\n", T_L - 273.15, R_T_L);
printf("Resistance at T_H=%.2f deg C = %.2fOhm\n", T_H - 273.15, R_T_H);

# SLM6500 datasheet formulas

R1 = (R_T_L*R_T_H * (K2 - K1)) / ((R_T_L - R_T_H)*K1*K2)
R2 = (R_T_L*R_T_H * (K2 - K1)) / (R_T_L * (K1 - K1*K2) - R_T_H * (K2 - K1*K2))





